<template>

  <div>
    <v-app-bar
      color="deep-purple"
      app
      dark
    >
      <!-- <v-app-bar-nav-icon @click.stop="onClickButton()" ></v-app-bar-nav-icon> -->
      <v-app-bar-nav-icon @click.stop="$emit('toggle-drawer')"></v-app-bar-nav-icon>
      <v-toolbar-title>{{ title }}</v-toolbar-title>
      <v-spacer></v-spacer>
      <slot name="navbarRightAction"></slot>

      <template class="overflow-hidden" v-slot:extension>
        <v-tabs fixed-tabs>
          <v-tab>FOR YOU</v-tab>
          <v-tab>FEED</v-tab>
        </v-tabs>
      </template>
    </v-app-bar>
  </div>

</template>

<script>
  export default {
    name: 'AppBar',

    props: ['title'],

    data: () => ({

    }),

    methods: {
      onClickButton () {
        this.$emit('clicked')
      }
    }
  }
</script>
